# Gimp.ColorTransform.new_proofing

    function new_proofing(src_profile: Gimp.ColorProfile, src_format: Babl.Object, dest_profile: Gimp.ColorProfile, dest_format: Babl.Object, proof_profile: Gimp.ColorProfile, proof_intent: Gimp.ColorRenderingIntent, display_intent: Gimp.ColorRenderingIntent, flags: Gimp.ColorTransformFlags): Gimp.ColorTransform {
        // Gjs wrapper for gimp_color_transform_new_proofing()
    }

This function creates a simulation / proofing color transform.

See Gimp.ColorTransform.new about the color spaces to transform between.

Since 2.10

src_profile

  the source Gimp.ColorProfile

src_format

  the source #Babl format

dest_profile

  the destination Gimp.ColorProfile

dest_format

  the destination #Babl format

proof_profile

  the proof Gimp.ColorProfile

proof_intent

  the proof intent

display_intent

  the display intent

flags

  transform flags

Returns

  the Gimp.ColorTransform, or null if there was an error.